### Signal

# Ide BuildManager::build-finished

#### Declaration

    void
    build_finished (
      IdeBuildManager* self,
      IdePipeline* pipeline,
      gpointer user_data
    )

#### Description

The “build-finished” signal is emitted when a build completed successfully.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
Available since: | 3.32

#### Parameters

`pipeline` | `IdePipeline`
| An `IdePipeline`.
| The data is owned by the caller of the function.